import { OrbitControls } from 'three/examples/jsm/controls/OrbitControls.js';
import { PerspectiveCamera } from 'three';
export interface IOrbitControlService {
    readonly orbitControls: OrbitControls;
}
declare class OrbitControlService implements IOrbitControlService {
    #private;
    constructor({ camera, canvas }: {
        camera: PerspectiveCamera;
        canvas: HTMLCanvasElement;
    });
    get orbitControls(): OrbitControls;
}
export default OrbitControlService;
